# Method: customers.list

- [HTTP request](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/list#body.request_body)
- [Response body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/list#body.response_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/list#body.ListCustomersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/list#body.aspect)

Lists Ads Data Hub customers to which the current user has access.

### HTTP request

`GET https://adsdatahub.googleapis.com/v1/customers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of items to return. If 0, the server will determine the number of customers to return. |
| `pageToken` | `string` Page token, returned by previous call, to request the next page of results, if any. |

### Request body

The request body must be empty.

### Response body

Response to a customers.list request. Contains the Ads Data Hub customers accessible by the current user.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "customers": [ { object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers#Customer`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `customers[]` | ``object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers#Customer`)`` A list of customers. |
| `nextPageToken` | `string` A token that can be used to request the next results page. This field is empty if there are no additional results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`